# $Revision: 1.16 $, $Date: 2008-02-10 12:03:22 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Cracklib
Summary:	Crypt::Cracklib - Perl interface to Cracklib
Summary(pl.UTF-8):	Crypt::Cracklib - perlowy interfejs do biblioteki Cracklib
Name:		perl-Crypt-Cracklib
Version:	0.01
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a24234aeb3eb9eac71c344f9ca736b7b
BuildRequires:	cracklib-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple interface to Alec Muffett's Crack library.

%description -l pl.UTF-8
Moduł Crypt::Cracklib jest prostym interfejsem do biblioteki Crack
Aleca Muffetta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Crypt::Cracklib")' \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/Cracklib.pm
%dir %{perl_vendorarch}/auto/Crypt/Cracklib
%{perl_vendorarch}/auto/Crypt/Cracklib/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Cracklib/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Cracklib.spec,v $
Revision 1.16  2008-02-10 12:03:22  arekm
- rel 4

Revision 1.15  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.14  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.12  2004/11/03 22:30:12  paladine
- formatting

Revision 1.11  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.10  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.8  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/02 12:52:25  radek
- fixed

Revision 1.3  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/18 15:28:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

